/* 
**
**  remedial - a GUI front-end for avifile
**  Copyright (C) 2002  Paul Dwerryhouse <paul@dwerryhouse.com.au>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License version 2, as 
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef QTNEWGUI_H
#define QTNEWGUI_H

#include <qapplication.h>
#include <qvbox.h>
#include "player.h"

extern "C" {
#include <time.h>
} class QtNewGui:public QVBox {
  Q_OBJECT private:
    Player * player;
    QTimer *timer;
    int sig_start;
    int sig_stop;
    time_t starttime;
    int playing;
    int page;
    int currentselection;

  public:
     QtNewGui(QWidget * parent = 0, const char *name = 0);
    void mouseReleaseEvent(QMouseEvent * e);
    void mouseMoveEvent(QMouseEvent * e);
    void setPlayer(Player *);
    void start();
    void rereadConfig();

    public slots: 
	    void timerslot();
    	    void do_menu(int);
    	    void quit();

};

#endif
